### Upoznajmo se

# Sprite će se automatski prikazati prilikom pokretanja novog programa
# Varijabla - kasnije cemo o varijablama
sprite = Sprite('Tobi')

##################################################
###### Kako upravljati s našim sprite-om #########
##################################################

# Postavi veličinu sprite-a 
# sprite.setsize(120) # Otkomentiraj i igraj se

# Postavi sprite na određenu poziciju po x-osi
# sprite.setx(30) # Otkomentiraj i igraj se

# Postavi sprite na određenu poziciju po y-osi
# sprite.sety(50) # Otkomentiraj i igraj se

# Postavi sprite na određenu poziciju po x i y osi
# sprite.gotoxy(-50, -50) # Otkomentiraj i igraj se

# Smjer sprite-a
# sprite.setdirection(45) # Otkomentiraj i igraj se

# Pomicanje sprite-a s obzirom na to kakav mu je smjer
# sprite.move(80) # Otkomentiraj i igraj se

# Ne prikazuj sprite
# sprite.hide() # Otkomentiraj i igraj se

# Prikaži sprite ako se ne prikazuje
# sprite.show() # Otkomentiraj i igraj se

# IF uvjet
# Pomakni sprite uz pomoc tipke na tipkovnici
# U nasem slucaju uz pomoc "gornje strelice"
# Python koristi uvlake koje postižemo tipkom na tipkovnici: tab
# !!! Brzo stisnuti gornju strelicu dok se program jos "Run"-a
# Otkomentiraj i igraj se
# if(sprite.iskeypressed('up arrow')):
  # sprite.setdirection(90)
  # sprite.move(100)

# While petlja
# !!! Da ne moramo brzo stiskati gornju strelicu dok se program jos "Run"-a
# while True:
  # if(sprite.iskeypressed('up arrow')):  # Otkomentiraj i igraj se
    # sprite.setdirection(0)
    # sprite.move(30)

# For petlja
# Prođi kroz petlju 5 puta i tvoj sprite će se pomaknuti 5 puta
import time
# for i in range(5):
  # sprite.move(10)
  # time.sleep(1)
  # sprite.say("Broj puta koliko sam prošao/prošla petljom" + str(i))
  # time.sleep(1)
  
# Definiraj funkciju koja pomiče sprite naprijed za određeni broj koraka
# i zatim ga okreće za određeni kut
# def moveTurnSprite(steps, angle):
  # sprite.move(steps)  # Pomakni sprite naprijed za određeni broj koraka
  # sprite.setdirection(angle)  # Okreni sprite za određeni kut

# Pozovi funkciju da pomakne sprite naprijed za 50 koraka i okrene ga za 90 stupnjeva
# moveTurnSprite(50, 90)

##################################################
###### Što je komentar?  #########################
##################################################
# Ovo je komentar

##################################################
###### Kako nešto ispisati? ######################
##################################################
# Kako sprite ispiše nešto? (Ispis na pozornici (Stage-u))
# sprite.say("Pozdrav, ja sam Daria!") # Otkomentiraj i igraj se

# Kako se ispiše nešto na terminalu?
# print("Pozdrav, ja sam Daria!") # Otkomentiraj i igraj se

# Varijabla - Što je varijabla
# Upiši koliko imaš godina
imamGodina = 10

# Concating - Spajanje dvaju ili više nizova znakova (stringova) u jedan niz
# Što je string, a što integer
# sprite.say("Imam: " + str(imamGodina) + " godina") # Otkomentiraj i igraj se

# Da li ce se ovo ispisati? Ako ne, zašto?
# sprite.say("Imam: " + imamGodina + " godina") # Otkomentiraj i igraj se

# Kako mozemo nesto upisati preko pozornice
# sprite.input("Upiši u koju školu ideš sa velikim slovima?") # Otkomentiraj i igraj se
zabiljezeniOdgovorSkola = sprite.answer()
# sprite.say(zabiljezeniOdgovorSkola) # Otkomentiraj i igraj se
# Ucini da sva slova postanu mala
zabiljezeniOdgovorSkola = sprite.answer().lower()
# sprite.say(zabiljezeniOdgovorSkola) # Otkomentiraj i igraj se

##################################################
###### Računske operacije ########################
##################################################
# Oduzimanje i zbrajanje
prosleGodineSamImaoGodina = imamGodina - 1
# sprite.say(prosleGodineSamImaoGodina) # Otkomentiraj i igraj se
iduceGodineCuImatiGodina = imamGodina + 1
# sprite.say(iduceGodineCuImatiGodina) # Otkomentiraj i igraj se

##################################################
###### Array (Lista)  ############################
##################################################
import time
# Lista - nije potrebno nista mijenjati
predstavljanje = ["Bok!", "Zovem se", "Star/stara sam"]
ime = sprite.input("Upisi kako se zoves: ")
godine = sprite.input("Upisi koliko imas godina: ")
# Ispis
# sprite.say(predstavljanje[0])
# Odgodi izvrsavanje programa na neko vrijeme
time.sleep(1)
# sprite.say(predstavljanje[1] + " " + ime + ".") # Otkomentiraj i igraj se
time.sleep(1)
# sprite.say(predstavljanje[2] + " " + godine + " godina.") # Otkomentiraj i igraj se

##################################################
###### Izmješaj array listu  #####################
##################################################
import random
random.shuffle(predstavljanje)
# Ispis
# sprite.say(predstavljanje[0]) # Otkomentiraj i igraj se
# Odgodi izvrsavanje programa na neko vrijeme
time.sleep(1)
# sprite.say(predstavljanje[1] + " " + ime + ".") # Otkomentiraj i igraj se
time.sleep(1)
# sprite.say(predstavljanje[2] + " " + godine + " godina.") # Otkomentiraj i igraj se

##################################################
###### IF uvjet (potpun) #########################
##################################################
# if int(godine) < 10: # Otkomentiraj i igraj se
    # sprite.say("Ti si mlađi/mlađa od 10 godina") 
# elif int(godine) == 10:
    # sprite.say("Ti imaš točno 10 godina")
# else:
    # sprite.say("Stariji/starija si od 10 godina")
    
##################################################
###### Pozadine  #################################
##################################################
# Dodaj pozadinu u PictoBloxu
# Neka se prikaže na pozornici
# sprite.switchbackdrop("Baseball 1") # Otkomentiraj i igraj se
# Sada dodaj još jednu
# Neka se prikaže na pozornici
# sprite.switchbackdrop("Blue Sky") # Otkomentiraj i igraj se

##################################################
###### Zvukovi  ##################################
##################################################
# Dodaj zvuk u PictoBloxu
# Neka se odsvira na pozornici
# sprite.playuntildone("A Sax") # Otkomentiraj i igraj se



